com.dlsc.flexgantt.swing.layer.system

## Interface IDragRowRenderer

- All Superinterfaces:
    IRenderer
  All Known Implementing Classes:
    DefaultDragRowRenderer

      public interface IDragRowRenderer
      extends IRenderer

  A drag row renderer is used to visualize additional row-specific information during a drag & drop operation. The renderer can for example be used to mark the locations on a row where the timeline object that is currently being dragged can or can not be dropped.
  Since:
    1.0
  Version:
    $Revision: 1.4 $
  Author:
    Dirk Lemmermann
  See Also:
    `DragLayer.setDragRowRenderer(Class, IDragRowRenderer)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getDragRowRendererComponent(DragLayer layer, Object node, TimelineObjectPath draggedTimelineObjectPath, ITimeSpan span, int userDropAction)` Returns a component that will be used to render the row specific drag and drop information.

- - ### Method Detail

    - #### getDragRowRendererComponent

          Component getDragRowRendererComponent(DragLayer layer,
                                                Object node,
                                                TimelineObjectPath draggedTimelineObjectPath,
                                                ITimeSpan span,
                                                int userDropAction)

      Returns a component that will be used to render the row specific drag and drop information.
      Parameters:
        `layer` - the drag layer where the rendering will take place
        `node` - the tree node for which the renderer gets invoked
        `draggedTimelineObjectPath` - the path to the dragged timeline object
        `span` - the time span where the drop would take place if the d&d operation finished now
        `userDropAction` - the type of drop requested by the user (move, copy) (possible values listed in `DnDConstants`)
      Returns:
        a renderer component for the drag information
      Since:
        1.0

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.